# First, where documents are stored.  This affects where icons are placed.
%define contentdir /home/httpd

# Now the place where mailman binaries go.
%define mmdir %{_libdir}/mailman

# Now the place where mutable data goes.
%define varmmdir /home/mailman

# Now, the user and group the CGIs will expect to be run under.  This should
# match the user and group the web server is configured to run as.  The scripts
# will error out if they are invoked by any other user.
%define cgiuser     httpd
%define cgiuserid   109
%define cgigroup    httpd
%define cgigroupid  109

# Now, the user and group the scripts will actually execute as.
%define mmuser      mailman
%define mmuserid    253
%define mmgroup     mailman
%define mmgroupid   253

# Now, the groups your mail spoolers run as.  Sendmail uses 'mail'(12)
# and postfix uses 'nobody'(99).  procmail uses the normal user.
%define mailgroup   mailman
%define mailgid     253

Summary: Mailing list manager with built in Web access.
Name:    mailman
Version: 2.1.6
Release: 9tr
Group:   Trustix Official
Source0: ftp://ftp.gnu.org/pub/gnu/mailman/mailman-%{version}.tgz
Source1: mailman-mm_cfg.py
Source2: mailman-README.TRUSTIX
Source3: mailman-httpd-mailman.conf
Source4: mailman.logrotate
Source5: mailman.initd
Patch1:  mailman-2.1.6-templates.patch
Patch2:  mailman-2.1.2-cron.patch
Patch3:  mailman-2.1.3-0.1-antispam.patch
Patch4:  mailman-2.1.6-cron.patch
Patch5:  mailman-2.1.6-CVE-2005-3573.patch
Patch6:  mailman-2.1.6-CVE-2005-4153.patch
License: GPL
URL:     http://www.list.org/
BuildRoot: %{_tmppath}/%{name}-root
Prereq:  shadow-utils, mta, fcron, postfix-conf 
Requires: webserver, python >= 1.5.2, mktemp
Requires: python-modules
BuildRequires: python-devel, python-modules

%description
Mailman is software to help manage email discussion lists, much like
Majordomo and Smartmail. Unlike most similar products, Mailman gives
each mailing list a webpage, and allows users to subscribe,
unsubscribe, etc. over the Web. Even the list manager can administer
his or her list entirely from the Web. Mailman also integrates most
things people want to do with mailing lists, including archiving, mail
<-> news gateways, and so on.

When the package has finished installing, you sould read README.TRUSTIX for
further instructions.

Users upgrading from previous releases of this package may need to
move their data or adjust the configuration files to point to the
locations where their data is.


# a zillion of localised packages {{{
%package ca
Summary: mailman language files: Catalan (ca)
Group: Trustix Official 
Requires: %{name} = %{version}-%{release}

%description ca
This are the mailman localised files for Catalan (ca).
Mailman is an email discussion list management software.

%package cs
Summary: mailman language files: Czech (cs)
Group: Trustix Official
Requires: %{name} = %{version}-%{release}

%description cs
This are the mailman localised files for Czech (cs).
Mailman is an email discussion list management software.


%package de
Summary: mailman language files: German (de)
Group: Trustix Official
Requires: %{name} = %{version}-%{release}

%description de
This are the mailman localised files for German (de).
Mailman is an email discussion list management software.


%package es
Summary: mailman language files: Spanish (es)
Group: Trustix Official
Requires: %{name} = %{version}-%{release}

%description es
This are the mailman localised files for Spanish (es).
Mailman is an email discussion list management software.


%package et
Summary: mailman language files: Estonian (et)
Group: Trustix Official
Requires: %{name} = %{version}-%{release}

%description et
This are the mailman localised files for Estonian (et).
Mailman is an email discussion list management software.


%package eu
Summary: mailman language files: Basque/Euskara (eu)
Group: Trustix Official
Requires: %{name} = %{version}-%{release}

%description eu
This are the mailman localised files for Basque/Euskara (eu).
Mailman is an email discussion list management software.


%package fi
Summary: mailman language files: Finnish (fi)
Group: Trustix Official
Requires: %{name} = %{version}-%{release}

%description fi
This are the mailman localised files for Finnish (fi).
Mailman is an email discussion list management software.


%package fr
Summary: mailman language files: French (fr)
Group: Trustix Official
Requires: %{name} = %{version}-%{release}

%description fr
This are the mailman localised files for French (fr).
Mailman is an email discussion list management software.

%package hr
Summary: mailman language files: Croatian (hr)
Group: Trustix Official
Requires: %{name} = %{version}-%{release}

%description hr
This are the mailman localised files for Croatian (hr).
Mailman is an email discussion list management software.


%package hu
Summary: mailman language files: Hungarian (hu)
Group: Trustix Official
Requires: %{name} = %{version}-%{release}

%description hu
This are the mailman localised files for Hungarian (hu).
Mailman is an email discussion list management software.


%package it
Summary: mailman language files: Italian (it)
Group: Trustix Official
Requires: %{name} = %{version}-%{release}

%description it
This are the mailman localised files for Italian (it).
Mailman is an email discussion list management software.


%package ja
Summary: mailman language files: Japanese (ja)
Group: Trustix Official
Requires: %{name} = %{version}-%{release}

%description ja
This are the mailman localised files for Japanese (ja).
Mailman is an email discussion list management software.


%package ko
Summary: mailman language files: Korean (ko)
Group: Trustix Official
Requires: %{name} = %{version}-%{release}

%description ko
This are the mailman localised files for Korean (ko).
Mailman is an email discussion list management software.


%package lt
Summary: mailman language files: Lithuanian (lt)
Group: Trustix Official
Requires: %{name} = %{version}-%{release}

%description lt
This are the mailman localised files for Lithuanian (lt).
Mailman is an email discussion list management software.


%package nl
Summary: mailman language files: Dutch (nl)
Group: Trustix Official
Requires: %{name} = %{version}-%{release}

%description nl
This are the mailman localised files for Dutch (nl).
Mailman is an email discussion list management software.


%package no
Summary: mailman language files: Norwegian (no)
Group: Trustix Official
Requires: %{name} = %{version}-%{release}

%description no
This are the mailman localised files for Norwegian (no).
Mailman is an email discussion list management software.


%package pl
Summary: mailman language files: Polish (pl)
Group: Trustix Official
Requires: %{name} = %{version}-%{release}

%description pl
This are the mailman localised files for Polish (pl).
Mailman is an email discussion list management software.


%package pt_BR
Summary: mailman language files: Portuguese (Brazil) (pt_BR)
Group: Trustix Official
Requires: %{name} = %{version}-%{release}

%description pt_BR
This are the mailman localised files for Portuguese (Brazil) (pt_BR).
Mailman is an email discussion list management software.


%package pt
Summary: mailman language files: Portuguese (pt)
Group: Trustix Official
Requires: %{name} = %{version}-%{release}

%description pt
This are the mailman localised files for Portuguese (pt).
Mailman is an email discussion list management software.


%package ro
Summary: mailman language files: Romanian (ro)
Group: Trustix Official
Requires: %{name} = %{version}-%{release}

%description ro
This are the mailman localised files for Romanian (ro).
Mailman is an email discussion list management software.


%package ru
Summary: mailman language files: Russian (ru)
Group: Trustix Official
Requires: %{name} = %{version}-%{release}

%description ru
This are the mailman localised files for Russian (ru).
Mailman is an email discussion list management software.


%package sl
Summary: mailman language files: Solvenian (sl)
Group: Trustix Official
Requires: %{name} = %{version}-%{release}

%description sl
This are the mailman localised files for Solvenian (sl).
Mailman is an email discussion list management software.


%package sr
Summary: mailman language files: Serbian (sr)
Group: Trustix Official
Requires: %{name} = %{version}-%{release}

%description sr
This are the mailman localised files for Serbian (sr).
Mailman is an email discussion list management software.


%package sv
Summary: mailman language files: Swedish (sv)
Group: Trustix Official
Requires: %{name} = %{version}-%{release}

%description sv
This are the mailman localised files for Swedish (sv).
Mailman is an email discussion list management software.


%package tr
Summary: mailman language files: Turkish (tr)
Group: Trustix Official
Requires: %{name} = %{version}-%{release}

%description tr
This are the mailman localised files for Turkish (tr).
Mailman is an email discussion list management software.


%package uk
Summary: mailman language files: Ukrainian (uk)
Group: Trustix Official
Requires: %{name} = %{version}-%{release}

%description uk
This are the mailman localised files for Ukrainian (uk).
Mailman is an email discussion list management software.

%package zh_CN
Summary: mailman language files: Simplified Chinese (zh_CN)
Group: Trustix Official
Requires: %{name} = %{version}-%{release}
Obsoletes: %{name}-gb

%description zh_CN 
This are the mailman localised files for Simplified Chinese (zh_CN).
Mailman is an email discussion list management software.

%package zh_TW
Summary: mailman language files: Traditional Chinese (zh_TW)
Group: Trustix Official
Requires: %{name} = %{version}-%{release}
Obsoletes: %{name}-big5

%description zh_TW
This are the mailman localised files for Traditional Chinese (zh_TW).
Mailman is an email discussion list management software.


#}}}


%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
cp %{SOURCE2} README.TRUSTIX
#aclocal
#autoconf


%build
# Check whether we need to add syslog user/group
[ -z "`getent group %{mmgroup}`" ] && \
    /usr/sbin/groupadd -g %{mmgroupid} %{mmgroup}
[ -z "`getent passwd %{mmuser}`" ] && \
    /usr/sbin/useradd -d %{varmmdir} -g %{mmgroup} -s /bin/false -u %{mmuserid} %{mmuser}

CFLAGS="$RPM_OPT_FLAGS"; export CFLAGS
MAILHOST=localhost.localdomain \
WWWHOST=localhost.localdomain \
FQDN=localhost.localdomain \
URL=localhost.localdomain \
MAILMAN_UID=%{mmuserid} \
MAILMAN_GID=%{mmgroupid} \
MAIL_GID=%{mailgid} \
CGI_UID=%{cgiuserid} \
CGI_GID=%{cgigroupid} \
./configure \
    --prefix=%{mmdir} \
    --with-var_prefix=%{varmmdir} \
    --without-permcheck \
    --with-python=/usr/bin/python \
    --with-mail-gid=%{mailgroup} \
    --with-cgi-id=%{cgiuser} \
    --with-cgi-gid=%{cgigroup} \
    --with-mailhost=localhost.localdomain \
    --with-urlhost=localhost.localdomain
cp %{SOURCE1} Mailman/mm_cfg.py.dist
make
	
%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
# Normal install.
make install DESTDIR=$RPM_BUILD_ROOT

# Create directories we'll use for log and spool files.
install -m 775 -o root -g root -d $RPM_BUILD_ROOT/var/log/mailman
install -m 775 -o root -g root -d $RPM_BUILD_ROOT/var/spool/mailman/qfiles

for i in in out commands bounces news archive shunt virgin bad maildir; do
  install -m 775 -o root -g root -d $RPM_BUILD_ROOT/var/spool/mailman/qfiles/$i
done

# Copy the icons into the web server's icons directory.
mkdir -p $RPM_BUILD_ROOT%{contentdir}/icons
cp misc/*.jpg misc/*.png $RPM_BUILD_ROOT%{contentdir}/icons

# Install a logrotate control file.
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
install -m 644 -o root -g root %{SOURCE4} $RPM_BUILD_ROOT/etc/logrotate.d/mailman

# Install the httpd configuration file.
install -m 755 -o root -g root -d $RPM_BUILD_ROOT/etc/httpd/conf.d
sed -e 's|@VARMMDIR@|%{varmmdir}|g' -e 's|@MMDIR@|%{mmdir}|g' \
	%{SOURCE3} > \
	$RPM_BUILD_ROOT/etc/httpd/conf.d/httpd-mailman.conf

# install init.d file
install -m 755 -o root -g root -d $RPM_BUILD_ROOT/%{_initdir}
install -m 755 -o root -g root %{SOURCE5} $RPM_BUILD_ROOT/%{_initdir}/%{name}

# strip the japanese / korean libs
strip $RPM_BUILD_ROOT/%{mmdir}/pythonlib/japanese/c/_japanese_codecs.so
strip $RPM_BUILD_ROOT/%{mmdir}/pythonlib/korean/c/_koco.so
strip $RPM_BUILD_ROOT/%{mmdir}/pythonlib/korean/c/hangul.so


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%pre
# Check whether we need to add mailman user/group
[ -z "`getent group %{mmgroup}`" ] && \
    /usr/sbin/groupadd -g %{mmgroupid} %{mmgroup}
[ -z "`getent passwd %{mmuser}`" ] && \
    /usr/sbin/useradd -d %{mmdir} -g %{mmgroup} -s /bin/false -u %{mmuserid} %{mmuser}
true


%preun
# stop the service, before removal
if [ "$1" = "0" ]; then
    /etc/init.d/%{name} stop >&2
    /sbin/chkconfig --del %{name}
fi


%post
# compile the bytecompiled files
mymask=`umask`
umask 0022
python -c 'from compileall import *; compile_dir("%{mmdir}/")' > /dev/null
umask $mymask

if [ ! -f /var/spool/fcron/%{mmuser} ]; then
    fcrontab -u %{mmuser} %{mmdir}/cron/crontab.in >/dev/null 2>&1 || :
fi
grep -q "mailman-owner" /etc/postfix/aliases; RETVAL=$?
if [ $RETVAL = 1 ]; then
    cat >> /etc/postfix/aliases << EOF

# mailman aliases
mailman: 	postmaster
mailman-owner: 	mailman
EOF
    /usr/sbin/newaliases > /dev/null 2>&1 || :
fi

# Fix the missing bits.
/usr/lib/mailman/bin/check_perms -f > /dev/null 2>&1 || :

# add the service
/sbin/chkconfig --add %{name}

if [ "$1" = "2" ]; then
# restart it if needed
/sbin/restart_maybe %{name}
fi

%postun
if [ "$1" = "0" ]; then
    fcrontab -u %{mmuser} -r >/dev/null 2>&1 || :
    TMPFILE=$(mktemp /etc/aliasesXXXXXX)
    if [ -n "$TMPFILE" ] ; then
        egrep -E -v 'mailman aliases|mailman:|mailman-owner:' /etc/postfix/aliases >${TMPFILE}
        mv ${TMPFILE} /etc/postfix/aliases
    fi
    /usr/sbin/newaliases > /dev/null 2>&1 || :
fi


%files
%defattr(-,root,root)
%doc ACKNOWLEDGMENTS BUGS FAQ INSTALL NEWS TODO UPGRADING gnu-COPYING-GPL
%doc README README-I18N.en README.CONTRIB README.NETSCAPE
%doc README.TRUSTIX README.USERAGENT

%attr(0644,root,root) %{contentdir}/icons/*

%{_initdir}/%{name}

%config(noreplace) /etc/logrotate.d/mailman
%attr(0644,root,root) %config(noreplace) /etc/httpd/conf.d/httpd-mailman.conf


%dir   %{mmdir}

%dir   %{mmdir}/icons/
       %{mmdir}/icons/*

%dir   %{mmdir}/messages/
       %{mmdir}/messages/*

%dir   %{mmdir}/tests/
       %{mmdir}/tests/*

%dir   %{mmdir}/pythonlib/

%dir   %{mmdir}/pythonlib/email/
       %{mmdir}/pythonlib/email/*.py
%ghost %{mmdir}/pythonlib/email/*.pyc

%dir   %{mmdir}/pythonlib/japanese/
       %{mmdir}/pythonlib/japanese/*.py
%ghost %{mmdir}/pythonlib/japanese/*.pyc
%dir   %{mmdir}/pythonlib/japanese/aliases/
       %{mmdir}/pythonlib/japanese/aliases/*.py
%ghost %{mmdir}/pythonlib/japanese/aliases/*.pyc
%dir   %{mmdir}/pythonlib/japanese/c/
       %{mmdir}/pythonlib/japanese/c/*.py
%ghost %{mmdir}/pythonlib/japanese/c/*.pyc
       %{mmdir}/pythonlib/japanese/c/_japanese_codecs.so
%dir   %{mmdir}/pythonlib/japanese/mappings/
       %{mmdir}/pythonlib/japanese/mappings/*.py
%ghost %{mmdir}/pythonlib/japanese/mappings/*.pyc
%dir   %{mmdir}/pythonlib/japanese/python/
       %{mmdir}/pythonlib/japanese/python/*.py
%ghost %{mmdir}/pythonlib/japanese/python/*.pyc
%dir   %{mmdir}/pythonlib/lib/
%dir   %{mmdir}/pythonlib/lib/python2.3/
%dir   %{mmdir}/pythonlib/lib/python2.3/site-packages
       %{mmdir}/pythonlib/lib/python2.3/site-packages/japanese.pth
       
       %{mmdir}/pythonlib/korean.pth
%dir   %{mmdir}/pythonlib/korean/
       %{mmdir}/pythonlib/korean/*.py
%ghost %{mmdir}/pythonlib/korean/*.pyc
%dir   %{mmdir}/pythonlib/korean/c/
       %{mmdir}/pythonlib/korean/c/*.py
%ghost %{mmdir}/pythonlib/korean/c/*.pyc
       %{mmdir}/pythonlib/korean/c/_koco.so
       %{mmdir}/pythonlib/korean/c/hangul.so
%dir   %{mmdir}/pythonlib/korean/mappings/
       %{mmdir}/pythonlib/korean/mappings/*.py
%ghost %{mmdir}/pythonlib/korean/mappings/*.pyc
%dir   %{mmdir}/pythonlib/korean/python/
       %{mmdir}/pythonlib/korean/python/*.py
%ghost %{mmdir}/pythonlib/korean/python/*.pyc

%dir    %{mmdir}/Mailman/
        %{mmdir}/Mailman/Autoresponder.py
        %{mmdir}/Mailman/Bouncer.py
        %{mmdir}/Mailman/Defaults.py
        %{mmdir}/Mailman/Deliverer.py
        %{mmdir}/Mailman/Digester.py
        %{mmdir}/Mailman/Errors.py
        %{mmdir}/Mailman/GatewayManager.py
        %{mmdir}/Mailman/HTMLFormatter.py
        %{mmdir}/Mailman/ListAdmin.py
        %{mmdir}/Mailman/LockFile.py
        %{mmdir}/Mailman/MailList.py
        %{mmdir}/Mailman/Mailbox.py
        %{mmdir}/Mailman/MemberAdaptor.py
        %{mmdir}/Mailman/Message.py
        %{mmdir}/Mailman/OldStyleMemberships.py
        %{mmdir}/Mailman/Pending.py
        %{mmdir}/Mailman/Post.py
        %{mmdir}/Mailman/SafeDict.py
        %{mmdir}/Mailman/SecurityManager.py
        %{mmdir}/Mailman/Site.py
        %{mmdir}/Mailman/TopicMgr.py
        %{mmdir}/Mailman/UserDesc.py
        %{mmdir}/Mailman/Utils.py
        %{mmdir}/Mailman/Version.py
        %{mmdir}/Mailman/__init__.py
        %{mmdir}/Mailman/htmlformat.py
        %{mmdir}/Mailman/i18n.py
        %{mmdir}/Mailman/mm_cfg.py.dist
%config(noreplace) %{mmdir}/Mailman/mm_cfg.py
        %{mmdir}/Mailman/versions.py
%ghost  %{mmdir}/Mailman/*.pyc
%dir    %{mmdir}/Mailman/Cgi/
        %{mmdir}/Mailman/Cgi/*.py
%ghost  %{mmdir}/Mailman/Cgi/*.pyc
%dir    %{mmdir}/Mailman/Logging/
        %{mmdir}/Mailman/Logging/*.py
%ghost  %{mmdir}/Mailman/Logging/*.pyc
%dir    %{mmdir}/Mailman/Archiver/
        %{mmdir}/Mailman/Archiver/*.py
%ghost  %{mmdir}/Mailman/Archiver/*.pyc
%dir    %{mmdir}/Mailman/Handlers/
        %{mmdir}/Mailman/Handlers/*.py
%ghost  %{mmdir}/Mailman/Handlers/*.pyc
%dir    %{mmdir}/Mailman/Queue/
        %{mmdir}/Mailman/Queue/*.py
%ghost  %{mmdir}/Mailman/Queue/*.pyc
%dir    %{mmdir}/Mailman/Bouncers/
        %{mmdir}/Mailman/Bouncers/*.py
%ghost  %{mmdir}/Mailman/Bouncers/*.pyc
%dir    %{mmdir}/Mailman/MTA/
        %{mmdir}/Mailman/MTA/*.py
%ghost  %{mmdir}/Mailman/MTA/*.pyc
%dir    %{mmdir}/Mailman/Gui/
        %{mmdir}/Mailman/Gui/*.py
%ghost  %{mmdir}/Mailman/Gui/*.pyc
%dir    %{mmdir}/Mailman/Commands/
        %{mmdir}/Mailman/Commands/*.py
%ghost  %{mmdir}/Mailman/Commands/*.pyc

%dir %{mmdir}/bin
%dir %{mmdir}/cgi-bin
%attr(2755,root,%{mmgroup}) %{mmdir}/bin/*
%attr(2755,root,%{mmgroup}) %{mmdir}/cgi-bin/*
%attr(2755,root,%{mmgroup}) %{mmdir}/cron/
%attr(2775,root,%{mmgroup}) %{mmdir}/mail/

%dir %{mmdir}/scripts/
%attr(2755,root,%{mmgroup}) %{mmdir}/scripts/*

%dir %{mmdir}/templates
     %{mmdir}/templates/*

%dir %attr(2775,root,%{mmgroup}) %{varmmdir}/archives/
%attr(2775,root,%{mmgroup}) %{varmmdir}/archives/public/
%attr(2771,root,%{mmgroup}) %{varmmdir}/archives/private/

%attr(2775,root,%{mmgroup}) %{varmmdir}/data/
%attr(2775,root,%{mmgroup}) %{varmmdir}/lists/
%attr(2775,root,%{mmgroup}) %{varmmdir}/locks/
%attr(2755,root,%{mmgroup}) %{varmmdir}/spam/
%attr(2775,root,%{mmgroup}) /var/log/mailman
%attr(2775,root,%{mmgroup}) /var/spool/mailman

%files ca
%defattr(-,root,root)
%{mmdir}/templates/ca

%files cs
%defattr(-,root,root)
%{mmdir}/templates/cs

%files de
%defattr(-,root,root)
%{mmdir}/templates/de

%files es
%defattr(-,root,root)
%{mmdir}/templates/es

%files et
%defattr(-,root,root)
%{mmdir}/templates/et

%files eu
%defattr(-,root,root)
%{mmdir}/templates/eu

%files fi
%defattr(-,root,root)
%{mmdir}/templates/fi

%files fr
%defattr(-,root,root)
%{mmdir}/templates/fr

%files hr
%defattr(-,root,root)
%{mmdir}/templates/hr

%files hu
%defattr(-,root,root)
%{mmdir}/templates/hu

%files it
%defattr(-,root,root)
%{mmdir}/templates/it

%files ja
%defattr(-,root,root)
%{mmdir}/templates/ja

%files ko
%defattr(-,root,root)
%{mmdir}/templates/ko

%files lt
%defattr(-,root,root)
%{mmdir}/templates/lt

%files nl
%defattr(-,root,root)
%{mmdir}/templates/nl

%files no
%defattr(-,root,root)
%{mmdir}/templates/no

%files pl
%defattr(-,root,root)
%{mmdir}/templates/pl

%files pt
%defattr(-,root,root)
%{mmdir}/templates/pt

%files pt_BR
%defattr(-,root,root)
%{mmdir}/templates/pt_BR

%files ro
%defattr(-,root,root)
%{mmdir}/templates/ro

%files ru
%defattr(-,root,root)
%{mmdir}/templates/ru

%files sl
%defattr(-,root,root)
%{mmdir}/templates/sl

%files sr
%defattr(-,root,root)
%{mmdir}/templates/sr

%files sv
%defattr(-,root,root)
%{mmdir}/templates/sv

%files uk
%defattr(-,root,root)
%{mmdir}/templates/uk

%files zh_CN
%defattr(-,root,root)
%{mmdir}/templates/zh_CN/

%files zh_TW
%defattr(-,root,root)
%{mmdir}/templates/zh_TW


%changelog
* Tue Aug 22 2006 Nived Gopalan <nived at trustix dot org> 2.1.6-9tr
- Changes in init script.

* Mon Aug 21 2006 Nived Gopalan <nived at trustix dot org> 2.1.6-8tr
- Modified init script to get correct pid from /home/mailman/locks.

* Wed Mar 08 2006 Bipin S <bipin at trustix dot org> 2.1.6-7tr
- SECURITY Fix: Aliet Santiesteban Sifontes has reported a
  vulnerability in Mailman, which potentially can be exploited
  by malicious people to cause a DoS (Denial of Service).
  The vulnerability is caused due to "Scrubber.py" failing to
  handle the exception condition when Python fails to process
  an email file attachment that contains utf8 characters in its
  filename.
- Mailman did not sufficiently verify the validity of email dates.
  Very large numbers in dates caused mailman to crash.
                                                                                                                             
  The Common Vulnerabilities and Exposures project (cve.mitre.org) has
  assigned the names CVE-2005-3573 and CVE-2005-4153 to these issues.

* Tue Dec 27 2005 Ajith Thampi <ajith at trustix dot org> 2.1.6-6tr
- Added default fcron paths in crontab for user mailman, Bug #1499
		
* Tue Oct 25 2005 Ajith Thampi <ajith at comodo dot com> 2.1.6-5tr
- Added PreReq for postfix-conf
		
* Thu Jun 09 2005 Ajith Thampi <ajith at comodo dot com> 2.1.6-3tr
- /etc/postfix/aliases should be updated with mailman settings
- Restart mailman only on upgrade situation, otherwise off.
	
* Tue Jun 07 2005 Ajith Thampi <ajith at comodo dot com> 2.1.6-2tr
- Fixing spool fcron directory for mailman
- Cleanup of byte compiled python modules from spec
		
* Wed Jun 01 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 2.1.6-1tr
- New Upstream.
- Changes: 
- SECURITY: Critical security patch for path traversal vulnerability in private
  archive script. (CAN-2005-0202) and includes CAN fixes for (CAN 2004-1177),
  CAN 2003-0965).
- New ability to make generated passwords more cryptographically secure.
- Fixed a potential cross-site scripting hole in the driver script.
- Charset for Chinese (China), Chinese (Taiwan) changed from gb, big5 to utf-8.

* Mon May 30 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 2.1.5-1tr
- Added mailman for TSL-3.0 Trustix Official. Fix Bug #791

* Sat Nov 13 2004 Erlend Midttun <erlendbm at trustix dot org> 2.1.5-2tr
- Fix log and queue dir
- Add Turkish

* Thu Aug 20 2004 Jeyaganesan <ganesan at comodo dot com> 2.1.5-1je
- New upstream

* Mon Mar  8 2004 Chr. Toldnes <christht at trustix dot org>
- Rebuilt for TSL 2.1

* Tue Feb  3 2004 Erlend Midttun <erlendbm at trustix dot org> 2.1.4-6em
- Take IV.

* Fri Jan 30 2004 Erlend Midttun <erlendbm at trustix dot org> 2.1.4-5em
- Take III, getting the GID right.

* Fri Jan 30 2004 Erlend Midttun <erlendbm at trustix dot org> 2.1.4-4em
- Well, running via procmail was not a good idea.  Back to the basics.

* Thu Jan 29 2004 Erlend Midttun <erlendbm at trustix dot org> 2.1.4-3em
- Fix languages in templates-patch.
- Now made to run via procmail.

* Wed Jan 28 2004 Erlend Midttun <erlendbm at trustix dot org> 2.1.4-2em
- mm_cfg.WRAPPER_DIR was wrong.

* Wed Jan 28 2004 Erlend Midttun <erlendbm at trustix dot org> 2.1.4-1em
- New upstream.

* Thu Nov 13 2003 Erlend Midttun <erlendbm at trustix dot org> 2.1.2-9em
- Added more paths to mm_cfg.py

* Tue Oct 21 2003 Goetz Bock <bg at tawie dot org> 2.1.2-8bg
- returned mailuser to nobody(99), the readme was lying

* Tue Oct 21 2003 Goetz Bock <bg at tawie dot org> 2.1.2-7bg
- added python-modules as requirement, not just build requirement
- moved httpd config to /etc/httpd/conf.d to ease integration with apache
  (both inspired by Nathan Mills <wierdo at ulna dot net>

* Sun Oct 11 2003 Goetz Bock <bg at tawie dot org> 2.1.2-6bg
- take two of the user/group change to match policy
- created init.d script
- some specfile cleanups

* Mon Oct  6 2003 Goetz Bock <bg at tawie dot org> 2.1.2-5bg
- major specfile rewrite
- splitted localised templates into own files, and added patch to only
  show installed templates (patch1)
- recompile bytecode on install
- build for Cloud (Tawie 2.0) - Contrib

* Tue Sep 30 2003 Goetz Bock <bock at trustix dot org> 2.1.2-4bg
- fixed stupid bug in %pre

* Sat Sep 27 2003 Goetz Bock <bock at trustix dot org> 2.1.2-3bg
- updated uid/gid to match policy

* Tue Sep  2 2003 Goetz Bock <bock at trustix dot org> 2.1.2-2bg
- Build for Trustix 2.0 (aka Cloud) - Contrib

* Mon Jul 21 2003 Goetz Bock <bock at trustix dot org> 2.1.2-1bg
- new upstream: 2.1.2
- nolonger fake destination dir on install and some other pathes
- more docs

* Tue Apr 22 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.13-9em
- Hey, another uid/gid.

* Fri Mar 21 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.13-8em
- Changed uid to 106.

* Thu Jan 23 2003 Christian H. Toldnes <christht at trustix dot com> 2.0.13-7tr
- now uses /home/httpd, not /home/http

* Thu Jan 23 2003 Christian H. Toldnes <christht at trustix dot com> 2.0.13-6tr
- made it look for /etc/postfix/aliases

* Fri Jan 10 2003 Christian H. Toldnes <christht at trustix dot com> 2.0.13-5tr
- Cleand up _some_ of the ugliness.

* Fri Jan 10 2003 Christian H. Toldnes <christht at trustix dot com> 2.0.13-4tr
- Modified to fit TSL
- based on mailman-2.0.13-3 from readhat.com
